Subject: bug#25548: closed (Re: bug#25548: 25.1; Wrong Emacs version for Emacs 25.1.2 (?))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 Jan 2017 18:33:02 +0000

Your bug report

#25548: 25.1; Wrong Emacs version for Emacs 25.1.2 (?)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25548: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25548
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25548: 25.1; Wrong Emacs version for Emacs 25.1.2 (?)
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 27 Jan 2017 20:31:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 27 Jan 2017 10:13:04 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > Show does a user or Lisp code see those options from _within_
> > > Emacs?
> > 
> > With "M-: system-configuration-options RET".
> 
> I see this from `C-h v system-configuration-options":
> "--without-dbus --without-compress-install 'CFLAGS=-O2 -static -g3'"
> 
> How does that tell you anything about the label "25.1.1",
> which appears in the output of `M-x emacs-version' or
> the label "25.1-2" that appears in the zip-file name?

It tells you what the version number means.

> > > > See the node "Version Info" in the ELisp manual.
> > >
> > > The only thing there (that I can see) that remotely refers
> > > to something like "25.1.2" is the undescribed, unexplained
> > > _output_ of `(emacs-version)':
> > >
> > > "GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.16)
> > >            ^^^^^^
> > >         of 2015-06-01"
> > 
> > No, it also explains how to distinguish official releases from pretest
> > versions.
> 
> That's not what I said.  It tells you nothing about what
> "24.5.1" (or in the current case, "25.1.1") means in the
> output of `emacs-version'.  And it tells you nothing about
> what (in the current case) "25.1-2" means in the name of
> the zip file.

It does to me.

> > > Can you point me to the passage that explains the 25.1-2 in the
> > > zip name, which I've not been able to find?
> > 
> > That's the "-n-" part above.
> 
> Yes, n = 25.1-2, here.  But where is the explanation of it,
> saying what n = 25.1-2 means?

The explanation is in the value of system-configuration-options.

> GNU Emacs 25.1.1 (x86_64-w64-mingw32) of 2016-11-15
> 
> It says 25.1.1, not 25.1.2.

Yes.

> Still looking for an explanation of such numbering, in both
> the output of `emacs-version' and the zip-file name.

Time to finish this nonsense.

Subject: 25.1; Wrong Emacs version for Emacs 25.1.2 (?)
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Thu, 26 Jan 2017 13:00:25 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

(To be sure, I've downloaded the zip file twice now, and extracted it.)

I got it from here: http://gnu.mirrors.pair.com/gnu/emacs/windows/

This is the zip file I picked up:

emacs-25.1-2-x86_64-w64-mingw32.zip     29-Nov-2016 14:12   91M

But when I open Emacs and use M-x emacs-version it tells me that it is
Emacs 21.1.1.  And you can see that below, as well.

What gives?  Is this correct or a bug?  How are users supposed to
understand the version numbering - is this 25.1.1 or 25.1.2 or something
else?

And if this is not 25.1.2, where can users get 25.1.2?

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-11-15
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --without-dbus --without-compress-install 'CFLAGS=-O2
 -static -g3''